Name:           websvn
Version:        2.3.3
Release:        2%{?dist}
Summary:        Online subversion repository browser

Group:          Applications/System
License:        GPLv2+
URL:            http://www.websvn.info
Source0:        http://websvn.tigris.org/files/documents/1380/49056/websvn-2.3.3.tar.gz
Source1:        websvn-httpd.conf
Patch1:         websvn-2.3.3-use_system_libs.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

Requires(pre):  httpd
Requires:       sed
Requires:       enscript
Requires:       php >= 4.3.0
Requires:       php-mbstring
Requires:       php-xml
Requires:       php-geshi
Requires:       php-pear(Archive_Tar)
Requires:       php-pear(Text_Diff)


%description
WebSVN offers a view onto your subversion repositories that's been designed to
reflect the Subversion methodology. You can view the log of any file or
directory and see a list of all the files changed, added or deleted in any
given revision. You can also view the differences between two versions of a
file so as to see exactly what was changed in a particular revision.


%package selinux
Summary:          SELinux context for %{name}
Group:            Applications/System
Requires:         %name = %version-%release
Requires(post):   policycoreutils
Requires(postun): policycoreutils


%description selinux
SElinux context for %{name}.


%prep
%setup -q
### Let websvn use the system provided php classes and remove bundled ones.
%patch1 -p1
rm -rf lib/

mv include/distconfig.php include/config.php
find templates/calm -type f -exec chmod -R a-x {} ';'
sed -i -e 's/\r//' doc/style.css
iconv -f iso8859-1 -t utf-8 changes.txt > changes.txt.conv \
&& touch -r changes.txt changes.txt.conv \
&& mv -f changes.txt.conv changes.txt
sed -i -e "s#^\$locwebsvnhttp = '';#\$locwebsvnhttp = '/websvn';#" wsvn.php
sed -i -e "s#^\/\/ \$config->useMultiViews();#\$config->useMultiViews();#" \
    include/config.php


%build
# Nothing to build


%install
rm -rf $RPM_BUILD_ROOT

# Install the code
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/%{name}
cp -a *.php include languages templates $RPM_BUILD_ROOT/%{_datadir}/%{name}

# Move the conf to the proper place
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/%{name}
mv $RPM_BUILD_ROOT/%{_datadir}/%{name}/include/config.php \
   $RPM_BUILD_ROOT/%{_sysconfdir}/%{name}
ln -s ../../../..%{_sysconfdir}/%{name}/config.php \
   $RPM_BUILD_ROOT/%{_datadir}/%{name}/include/config.php

# Apache conf
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/httpd/conf.d
install -m 0644 %{SOURCE1} \
                $RPM_BUILD_ROOT/%{_sysconfdir}/httpd/conf.d/%{name}.conf

# Move the cache dir to a better place
mkdir -p $RPM_BUILD_ROOT/%{_localstatedir}/cache/%{name}
ln -s ../../..%{_localstatedir}/cache/%{name} \
   $RPM_BUILD_ROOT/%{_datadir}/%{name}/cache

# Move the temp dir to a better place
mkdir -p $RPM_BUILD_ROOT/%{_localstatedir}/tmp
ln -s ../../..%{_localstatedir}/tmp $RPM_BUILD_ROOT/%{_datadir}/%{name}/temp


%clean
rm -rf $RPM_BUILD_ROOT


%post selinux
semanage fcontext -a -t httpd_cache_t '%{_localstatedir}/cache/%{name}(/.*)?' 2>/dev/null || :
restorecon -R %{_localstatedir}/cache/%{name} || :


%postun selinux
if [ $1 -eq 0 ] ; then
semanage fcontext -d -t httpd_cache_t '%{_localstatedir}/cache/%{name}(/.*)?' 2>/dev/null || :
fi


%files
%defattr(-,root,root,-)
%doc changes.txt license.txt doc/
%config(noreplace) %{_sysconfdir}/httpd/conf.d/%{name}.conf
%config(noreplace) %{_sysconfdir}/%{name}/config.php
%{_datadir}/%{name}
%attr(-,apache,root) %{_localstatedir}/cache/%{name}


%files selinux
%defattr(-,root,root,-)


%changelog
* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Jun 28 2011 Xavier Bachelot <xavier@bachelot.org> 2.3.3-1
- Update to 2.3.3.

* Tue Mar 01 2011 Xavier Bachelot <xavier@bachelot.org> 2.3.2-1
- Update to 2.3.2.

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Sep 27 2010 Xavier Bachelot <xavier@bachelot.org> 2.3.1-2
- Add an selinux subpackage for compatibility with selinux (RHBZ#585969).

* Tue Jun 15 2010 Xavier Bachelot <xavier@bachelot.org> 2.3.1-1
- Update to 2.3.1.

* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri May 22 2009 Xavier Bachelot <xavier@bachelot.org> 2.2.1-1
- Update to 2.2.1.
- Preserve time stamp when fixing encoding.

* Sat May 09 2009 Xavier Bachelot <xavier@bachelot.org> 2.2.0-2
- php-pear(Text_Diff) is mandatory now.
- Add Requires(pre): httpd.

* Thu Apr 23 2009 Xavier Bachelot <xavier@bachelot.org> 2.2.0-1
- Update to 2.2.0.
- Actually use the system provided classes.
- Add Requires: php-pear(Archive_Tar).
- Remove implicit Requires: php-common.

* Thu Mar 26 2009 Xavier Bachelot <xavier@bachelot.org> 2.1.0-3
- Turn multiview on by default.

* Thu Mar 26 2009 Xavier Bachelot <xavier@bachelot.org> 2.1.0-2
- More Requires:.
- Move temp and cache dir to a better place.
- Set a proper locwebsvnhttp in wsvn.php.

* Wed Mar 18 2009 Xavier Bachelot <xavier@bachelot.org> 2.1.0-1
- Initial build.
